<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ asset('https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css') }}"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ asset('css/Post.css') }}">
    <title>Post</title>
</head>

<body>
    <!--Nav bar-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">

        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav col lg-12">
                <li class="nav-item active col-lg-4 text-align-center">
                    <a class="nav-link" href="#">Actualités</a>
            
                <li class="nav-item col-lg-4">
                    <a class="nav-link col-lg-4 text-align-center" href="#">Nouvel article</a>
                </li>
            </ul>
        </div>
    </nav>


    <!--Séparer la page en deux-->
    <section class="container-fluid">
        <div class="row">
            <div class="col-12 text-center d-flex flex-column justify-content-center">
                <div class="Titre">Actualités</div>
                {% for row in postCtrl %}
                <div class="card m-2">
                    <h5 class="card-title">{{row.title}} </h5>
                    <div class="card-body">
                        <h5 class="card-author"> Author :{{row.author}}</h5>
                        <p class="card-content">{{row.content}}</p>
                        <p class="card-time">{{row.postDate|date("d/m/y")}}</p>
                        <a href="{{path('delete_post', {'id':row.id})}}" class="btn btn-primary">Supprimer</a>
                        <a href="{{path('ReadPost', {id: row.id})}}" class="btn btn-danger">Lire</a>
                        <a href="{{path('update_post', {id: row.id}) }}" class="btn btn-success">Modifier</a>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </section>
    <form class="row">
        <div class="col-12 text-center m-3 d-flex flex-column justify-content-center">
            <div class="Titre">News Post</div>
            <div class="col-12 m-2  d-flex flex-column align-items-center ">
                <div class="form-group">
                    <label for="Title">Title</label>
                    <input type="text" class="form-control" name="title">
                </div>
                <div class="form-group ">
                    <label for="Author">Author</label>
                    <input type="text" class="form-control" name="author">
                </div>
                <div class="form-group ">
                    <label for="content">Your text</label>
                    <textarea class="form-control" aria-label="With textarea" name="content"></textarea>
                </div>
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
    </form>

   

    <script src="{{ asset('https://code.jquery.com/jquery-3.3.1.slim.min.js') }}"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="{{ asset('https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js') }}"
        integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut"
        crossorigin="anonymous"></script>
    <script src="{{ asset('https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js') }}"
        integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k"
        crossorigin="anonymous"></script>
</body>

</html>